# Copyright 2014 NYBX Inc
# See LICENSE file for details.

"""
:module: ledgerx.mixin
:synopsis: A module containing useful utilities.
:author: Amr Ali <amr@ledgerx.com>
"""

def public(obj):
    """A decorator to avoid retyping function/class names in __all__."""
    import sys
    _all = sys.modules[obj.__module__].__dict__.setdefault('__all__', [])
    if obj.__name__ not in _all:
        _all.append(obj.__name__)
    return obj

